Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.
Chargebeechargebee API

List Quote Entitlements

Retrieves the list of quote_entitlements for the quote.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/quotes/{quote-id}/quote_entitlements

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
entity_id[<operator>]

Filter quote entitlements by entity_id. Supported operators : is

Example → entity_id[is] = "price-usd"

Supported operators: is
start_date[<operator>]

Filter entitlements by ramp start date (unix timestamp). Use with end_date[on]. Supported operators : on

Example → start_date[on] = "1780252200"

Supported operators: on
Example 1780252200
end_date[<operator>]

Filter entitlements by ramp end date (unix timestamp). Use with start_date[on]. Supported operators : on

Example → end_date[on] = "1782844200"

Supported operators: on
Example 1782844200

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Quote entitlement object

Resource object representing quote_entitlement